aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.DeleteObject

# Documentation

data DeleteObject Source #

Constructors

DeleteObject |

Fields

- doObjectName :: Text
- doBucket :: Bucket

#### Instances

Instances details

SignQuery DeleteObject Source # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.DeleteObject

Associated Types

type ServiceConfiguration DeleteObject |
Instance details Defined in Aws.S3.Commands.DeleteObject type ServiceConfiguration DeleteObject = S3Configuration

Methods

signQuery :: DeleteObject -> ServiceConfiguration DeleteObject queryType -> SignatureData -> SignedQuery Source #

Show DeleteObject Source # |
Instance details Defined in Aws.S3.Commands.DeleteObject Methods showsPrec :: Int -> DeleteObject -> ShowS Source # show :: DeleteObject -> String Source # showList :: [DeleteObject] -> ShowS Source #
ResponseConsumer DeleteObject DeleteObjectResponse Source # |

Instance details

Defined in Aws.S3.Commands.DeleteObject

Associated Types

type ResponseMetadata DeleteObjectResponse |
Instance details Defined in Aws.S3.Commands.DeleteObject type ResponseMetadata DeleteObjectResponse = S3Metadata

Methods

responseConsumer :: Request -> DeleteObject -> IORef (ResponseMetadata DeleteObjectResponse) -> HTTPResponseConsumer DeleteObjectResponse Source #

Transaction DeleteObject DeleteObjectResponse Source # |
Instance details Defined in Aws.S3.Commands.DeleteObject
type ServiceConfiguration DeleteObject Source # |
Instance details Defined in Aws.S3.Commands.DeleteObject type ServiceConfiguration DeleteObject = S3Configuration

data DeleteObjectResponse Source #

Constructors

DeleteObjectResponse |

#### Instances

Instances details

AsMemoryResponse DeleteObjectResponse Source # |

Instance details

Defined in Aws.S3.Commands.DeleteObject

Associated Types

type MemoryResponse DeleteObjectResponse |
Instance details Defined in Aws.S3.Commands.DeleteObject type MemoryResponse DeleteObjectResponse = DeleteObjectResponse

Methods

loadToMemory :: DeleteObjectResponse -> ResourceT IO (MemoryResponse DeleteObjectResponse) Source #

Show DeleteObjectResponse Source # |
Instance details Defined in Aws.S3.Commands.DeleteObject Methods showsPrec :: Int -> DeleteObjectResponse -> ShowS Source # show :: DeleteObjectResponse -> String Source # showList :: [DeleteObjectResponse] -> ShowS Source #
ResponseConsumer DeleteObject DeleteObjectResponse Source # |

Instance details

Defined in Aws.S3.Commands.DeleteObject

Associated Types

type ResponseMetadata DeleteObjectResponse |
Instance details Defined in Aws.S3.Commands.DeleteObject type ResponseMetadata DeleteObjectResponse = S3Metadata

Methods

responseConsumer :: Request -> DeleteObject -> IORef (ResponseMetadata DeleteObjectResponse) -> HTTPResponseConsumer DeleteObjectResponse Source #

Transaction DeleteObject DeleteObjectResponse Source # |
Instance details Defined in Aws.S3.Commands.DeleteObject
type MemoryResponse DeleteObjectResponse Source # |
Instance details Defined in Aws.S3.Commands.DeleteObject type MemoryResponse DeleteObjectResponse = DeleteObjectResponse
type ResponseMetadata DeleteObjectResponse Source # |
Instance details Defined in Aws.S3.Commands.DeleteObject type ResponseMetadata DeleteObjectResponse = S3Metadata